LOCALE::PO4A::DOCBOOK.3PM(1)

NOME
Locale::Po4a::Docbook - converte documentos DocBook XML de/para arquivos PO

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything, ou PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) usando as ferramentas do gettext em áreas em que não se esperava, como documentação.

Locale::Po4a::Docbook é um módulo para ajudar a tradução de documentos DocBook XML em outros idiomas.

ESTADO DESTE MÓDULO
Este módulo é completamente funcional, pois depende do módulo Locale::Po4a::Xml. Este apenas define as marcações e atributos traduzíveis.

O único problema conhecido é que ele não lida com entidades ainda e isso inclui as entidades de inclusão de arquivo, mas você pode traduzir a maioria daqueles arquivos sozinhos (exceto os arquivos de entidades comuns) e normalmente é melhor mantê-los separadamente.

SUBSTITUIÇÃO DO COMPORTAMENTO PADRÃO COM AS OPÇÕES DE LINHA DE COMANDO
O comportamento padrão dos módulos fornecidos pelo sistema é configurado para estar no lado seguro.

Por exemplo, o padrão da tag <author> está apontando para aparecer em <para>. Mas você pode estar usando apenas em <bookinfo>. Para este caso, você pode querer traduzi-lo independentemente para cada autor.

Se você não gostar do comportamento padrão do módulo xml e seus módulos derivados, poderá fornecer opções de linha de comando para alterar seu comportamento. Por exemplo, você pode adicionar o seguinte ao arquivo de configuração po4a:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Isso substitui o comportamento padrão para <bookinfo> e <author>, define <bookinfo> e <author> para interromper o fluxo de dados de entrada nesses tags , define <bookinfo> para não traduzir seu conteúdo marcado e defina <author> para traduzir seu conteúdo marcado.

VEJA TAMBÉM
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTORES
 Jordi Vilalta <jvprat@gmail.com>

COPYRIGHT E LICENÇA
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL v2.0 ou posterior (veja o arquivo COPYING).